<?php 
 
/* Aviso de cobranca de parcela por SMS 
   O sistema deve buscar na base de dados as parcelas que vao vencer em 10 e 5 dias antes, e no dia do vencimento

*/
function envia_requisicao($hash, $mensagem, $numero)
{
    //Estrutura do json para fazer a requisição.
    $dados['acao'] = 'enviar';
    $dados['hash'] = $hash;
    $dados['mensagem'] = utf8_encode($mensagem);
    $dados['numero'] = $numero;

    $dado[] = json_encode($dados);


    $ch = curl_init("162.144.80.34/~sms/immobsms/routes/sms.php");
    curl_setopt($ch, CURLOPT_POST, 1);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $dado);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

    $server_output = curl_exec($ch);
    $info = curl_getinfo($ch);
    var_dump($server_output);
    curl_close($ch);
}


function TrataNome($nome)
{
	$array_nome = explode(" ", $nome);
	return $array_nome[0];
}
function TirarAcentos($string)
{
    return preg_replace(array("/(á|à|ã|â|ä)/","/(Á|À|Ã|Â|Ä)/","/(é|è|ê|ë)/","/(É|È|Ê|Ë)/","/(í|ì|î|ï)/","/(Í|Ì|Î|Ï)/","/(ó|ò|õ|ô|ö)/","/(Ó|Ò|Õ|Ô|Ö)/","/(ú|ù|û|ü)/","/(Ú|Ù|Û|Ü)/","/(ñ)/","/(Ñ)/"),explode(" ","a A e E i I o O u U n N"),$string);
}
function ArrumaTelefone($telefone)
{
		$array_tel1 = ['(', ')', ' ', '-'];
		$array_tel2 = ['', '', '', ''];
		$numero = str_replace($array_tel1, $array_tel2, $telefone);

		return $numero;
}
function BuscaDados($QtdDias)
{
	
	$Hoje 		= date('Y-m-d');
	$DiasAntes  = date('d-m-Y',strtotime($Hoje . $QtdDias." days"));
	include "conexao.php";
	$BuscaAntes = "SELECT nome_cli, celular, idparcelas, valor_parcelas, data_vencimento_parcela, descricao_empreendimento, numero_sequencia 
				   FROM parcelas
				   INNER JOIN cliente ON parcelas.cliente_id_novo = cliente.idcliente
				   INNER JOIN telefone_cli ON telefone_cli.id_cliente = cliente.idcliente
				   INNER JOIN empreendimento_cadastro ON parcelas.empreendimento_id_novo = empreendimento_cadastro.idempreendimento_cadastro
				   WHERE data_vencimento_parcela = '$DiasAntes' 
				   AND fluxo = 0 
				   AND tipo_venda = 2 
				   AND remessa = 0";	
	$ExecutaQuery = mysqli_query($db, $BuscaAntes);
	while ($Dados_Busca = mysqli_fetch_assoc($ExecutaQuery)){
		$Dados[] = $Dados_Busca;
	}
	
	return $Dados;
}
	include "conexao.php";
	$BuscaHash   = mysqli_query($db, "SELECT hash FROM usuario_sms WHERE status = 1");
	$ExecutaHash = mysqli_fetch_assoc($BuscaHash);
	$hash = $ExecutaHash['hash'];

	$DezAntes = BuscaDados('-10');
	foreach ($DezAntes as $key) {


		$Mensagem = "Ola ".TrataNome(TirarAcentos($key["nome_cli"]))." Este e um lembre da sua parcela N: ".$key["numero_sequencia"]." No valor de ".$key["valor_parcelas"]. " Vencimento em ".$key["data_vencimento_parcela"]. " Loteamento ". $key["descricao_empreendimento"];



		$tamanho_tel = strlen(ArrumaTelefone($key["celular"]));

		if($tamanho_tel == '11'){
			envia_requisicao($hash, $Mensagem, $key["celular"]);
		}else{
			
		}
	}

	$CincoAntes = BuscaDados('-5');
	foreach ($CincoAntes as $key) {


		$Mensagem = "Ola ".TrataNome(TirarAcentos($key["nome_cli"]))." Este e um lembre da sua parcela N: ".$key["numero_sequencia"]." No valor de ".$key["valor_parcelas"]. " Vencimento em ".$key["data_vencimento_parcela"]. " Loteamento ". $key["descricao_empreendimento"];



		$tamanho_tel = strlen(ArrumaTelefone($key["celular"]));

		if($tamanho_tel == '11'){
			envia_requisicao($hash, $Mensagem, $key["celular"]);
		}else{
			
		}
	}


	$ZeroAntes = BuscaDados('+0');
	foreach ($ZeroAntes as $key) {


		$Mensagem = "Ola ".TrataNome(TirarAcentos($key["nome_cli"]))." Este e um lembre da sua parcela N: ".$key["numero_sequencia"]." No valor de ".$key["valor_parcelas"]. " Vencimento em ".$key["data_vencimento_parcela"]. " Loteamento ". $key["descricao_empreendimento"];



		$tamanho_tel = strlen(ArrumaTelefone($key["celular"]));

		if($tamanho_tel == '11'){
			envia_requisicao($hash, $Mensagem, $key["celular"]);
		}else{
			
		}
	}


	$TresDepois = BuscaDados('+3');
	foreach ($TresDepois as $key) {


		$Mensagem = "Ola ".TrataNome(TirarAcentos($key["nome_cli"]))." Este e um lembre da sua parcela N: ".$key["numero_sequencia"]." No valor de ".$key["valor_parcelas"]. " Vencimento em ".$key["data_vencimento_parcela"]. " Loteamento ". $key["descricao_empreendimento"];



		$tamanho_tel = strlen(ArrumaTelefone($key["celular"]));

		if($tamanho_tel == '11'){
			envia_requisicao($hash, $Mensagem, $key["celular"]);
		}else{
			
		}
	}

	$CincoDepois = BuscaDados('+5');
	foreach ($CincoDepois as $key) {


		$Mensagem = "Ola ".TrataNome(TirarAcentos($key["nome_cli"]))." Este e um lembre da sua parcela N: ".$key["numero_sequencia"]." No valor de ".$key["valor_parcelas"]. " Vencimento em ".$key["data_vencimento_parcela"]. " Loteamento ". $key["descricao_empreendimento"];



		$tamanho_tel = strlen(ArrumaTelefone($key["celular"]));

		if($tamanho_tel == '11'){
			envia_requisicao($hash, $Mensagem, $key["celular"]);
		}else{
			
		}
	}

	$OitoDepois = BuscaDados('+8');
	foreach ($OitoDepois as $key) {


		$Mensagem = "Ola ".TrataNome(TirarAcentos($key["nome_cli"]))." Este e um lembre da sua parcela N: ".$key["numero_sequencia"]." No valor de ".$key["valor_parcelas"]. " Vencimento em ".$key["data_vencimento_parcela"]. " Loteamento ". $key["descricao_empreendimento"];



		$tamanho_tel = strlen(ArrumaTelefone($key["celular"]));

		if($tamanho_tel == '11'){
			envia_requisicao($hash, $Mensagem, $key["celular"]);
		}else{
			
		}
	}

?>